## org.apache.hadoop.mapred
Enum FileInputFormat.Counter

    java.lang.Object
      java.lang.Enum<FileInputFormat.Counter>
          org.apache.hadoop.mapred.FileInputFormat.Counter

All Implemented Interfaces:
  Serializable, Comparable<FileInputFormat.Counter>

Enclosing class:
  FileInputFormat<K,V>

    public static enum FileInputFormat.Counter

extends Enum<FileInputFormat.Counter>

Enum Constant Summary
`BYTES_READ`

Method Summary
`static FileInputFormat.Counter` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FileInputFormat.Counter[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BYTES_READ

    public static final FileInputFormat.Counter BYTES_READ

Method Detail

### values

    public static FileInputFormat.Counter[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FileInputFormat.Counter c : FileInputFormat.Counter.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FileInputFormat.Counter valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2009 The Apache Software Foundation